Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ascape.model.engine
Class AgentOrderMutableStrategy

    java.lang.Object
      org.ascape.model.engine.ExecutionStrategy
          org.ascape.model.engine.IncrementalExecutionStrategy
              org.ascape.model.engine.ParallelExecutionStrategy
                  org.ascape.model.engine.AgentOrderStrategy
                      org.ascape.model.engine.AgentOrderMutableStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class AgentOrderMutableStrategy

extends AgentOrderStrategy

The Class AgentOrderMutableStrategy.

See Also:
  Serialized Form

Constructor Summary
`AgentOrderMutableStrategy(StrategyFactory factory)` Instantiates a new agent order mutable strategy.

Method Summary
`boolean` | `hasNext()` Checks for next.
`boolean` | `isSupportsParallel()` Checks if is supports parallel.
`void` | `reset()` Reset.

Methods inherited from class org.ascape.model.engine.AgentOrderStrategy
`hasNextParallel, increment, nextParallelSequence`

Methods inherited from class org.ascape.model.engine.ParallelExecutionStrategy
`execute, executeParallel, incrementParallel`

Methods inherited from class org.ascape.model.engine.IncrementalExecutionStrategy
`clone, fire, getAgentIterator, getAgentSelector, getCurrentAgent, getCurrentRule, getRules, getRuleSelector, getScape, setAgentIterator, setAgentSelector, setRuleSelector`

Methods inherited from class org.ascape.model.engine.ExecutionStrategy
`chain`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AgentOrderMutableStrategy

    public AgentOrderMutableStrategy(StrategyFactory factory)

  Instantiates a new agent order mutable strategy.

  Parameters:
    `factory` - the factory

Method Detail

### hasNext

    public boolean hasNext()

  Description copied from class: `IncrementalExecutionStrategy`
  Checks for next.

  Overrides:
    `hasNext` in class `AgentOrderStrategy`
  Returns:
    true, if successful

### reset

    public void reset()

  Description copied from class: `ExecutionStrategy`
  Reset.

  Overrides:
    `reset` in class `AgentOrderStrategy`

### isSupportsParallel

    public boolean isSupportsParallel()

  Description copied from class: `ExecutionStrategy`
  Checks if is supports parallel.

  Overrides:
    `isSupportsParallel` in class `AgentOrderStrategy`
  Returns:
    true, if is supports parallel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD